## libunicode-japanese-perl 0.50

=== debian/changelog ===
libunicode-japanese-perl (0.50-2) unstable; urgency=medium

  * Team upload.
  * fix gcc15 build (Closes: #1097281)

 -- Victor Seva <vseva@debian.org>  Wed, 17 Sep 2025 08:40:28 +0200

libunicode-japanese-perl (0.50-1) unstable; urgency=medium

  * Team upload.
  * Import upstream version 0.50.
  * Drop spelling.patch, applied upstream.
  * New test dependency: libtest-script-perl.
  * Declare compliance with Debian Policy 4.7.2.
  * Set Rules-Requires-Root: no.
  * Bump debhelper-compat to 13.
  * Enable all hardening flags.
  * Annotate test-only build dependencies with <!nocheck>.
  * Add debian/tests/pkg-perl/smoke-files for new t/ujconv.t.

 -- gregor herrmann <gregoa@debian.org>  Sat, 15 Mar 2025 22:11:40 +0100
