=== debian/control ===
--- 
+++ 
@@ -1,19 +1,20 @@
 Source: libunicode-japanese-perl
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
 Uploaders: Florian Schlichting <fschlich@zedat.fu-berlin.de>
 Section: perl
 Testsuite: autopkgtest-pkg-perl
 Priority: optional
-Build-Depends: debhelper,
-               libtest-pod-coverage-perl,
-               libtest-pod-perl,
+Build-Depends: debhelper-compat (= 13),
+               libtest-pod-coverage-perl <!nocheck>,
+               libtest-pod-perl <!nocheck>,
+               libtest-script-perl <!nocheck>,
                perl-xs-dev,
                perl:native
-Standards-Version: 3.9.6
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/libunicode-japanese-perl
 Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/libunicode-japanese-perl.git
 Homepage: https://metacpan.org/release/Unicode-Japanese
+Rules-Requires-Root: no
 
 Package: libunicode-japanese-perl
 Architecture: any
