=== debian/watch ===
version=4
https://metacpan.org/release/Unicode-Japanese   .*/Unicode-Japanese-v?@ANY_VERSION@@ARCHIVE_EXT@$
